Integrate our Age Estimation and Liveness service as a direct integration.

Server
https://age.yoti.com

Production API

Server Variables

Header is needed to verify the signature of the signed request.

Fields
KeyIn
X-Yoti-Auth-DigestHeader

Header is used to access your application data.

Fields
KeyIn
X-Yoti-Auth-IdHeader

Liveness check

Auth
Query String
noncestring

An UUID V4 value generated by the Yoti SDK Request Builder

timestampstring

Current UNIX Timestamp

secureboolean

Run a secure request that was built with the React Face Capture: https://www.npmjs.com/package/@getyoti/react-face-capture

multiframeboolean

Use the multiframe mode for a secure request. See the 'secure' argument for more information.

Request Body
objectobject
imgstring

Base64 encoded image.

metadataobject
devicestring

(optional) Device used to send the request (unknown | laptop | mobile | any).

level_of_assurancestring

(optional) The level of assurance to apply for the model score threshold.

secureobject

Secure information that certifies the image was not modified. The Yoti React Face Capture provides this information that shouldn't be edited.

versionstring

The version of the secure module used to capture the image.

tokenstring

The token used to verify the session used to capture the image.

signaturestring

Data used to verify that the payload hasn't been modified after the capture.

verificationstring

Encrypted data used to perform secure payload validation. This field is available from version SICAP 1.3.0.

POST /ai/v1/antispoofing
Copy
Responses
200

A prediction was made

predictionstring
400

Image validation error or malformed request

401

Unauthorized

403

Forbidden

404

Resource not found

413

Payload too large

500

Internal server error

503

Service temporarily unavailable

Response
Copy

Liveness and age estimation check

Auth
Query String
noncestring

An UUID V4 value generated by the Yoti SDK Request Builder

timestampstring

Current UNIX Timestamp

secureboolean

Run a secure request that was built with the React Face Capture: https://www.npmjs.com/package/@getyoti/react-face-capture

multiframeboolean

Use the multiframe mode for a secure request. See the 'secure' argument for more information.

Request Body
objectobject
imgstring

Base64 encoded image.

metadataobject
devicestring

(optional) Device used to send the request (unknown | laptop | mobile | any).

level_of_assurancestring

(optional) The level of assurance to apply for the model score threshold.

secureobject

Secure information that certifies the image was not modified. The Yoti React Face Capture provides this information that shouldn't be edited.

versionstring

The version of the secure module used to capture the image.

tokenstring

The token used to verify the session used to capture the image.

signaturestring

Data used to verify that the payload hasn't been modified after the capture.

verificationstring

Encrypted data used to perform secure payload validation. This field is available from version SICAP 1.3.0.

POST /ai/v1/age-antispoofing
Copy
Responses
200

A prediction was made

objectobject
antispoofingobject
predictionstring
ageobject
agenumber
std_devnumber
400

Image validation error or malformed request

401

Unauthorized

403

Forbidden

404

Resource not found

413

Payload too large

500

Internal server error

503

Service temporarily unavailable

Response
Copy

Age estimation check

Auth
Query String
noncestring

An UUID V4 value generated by the Yoti SDK Request Builder

timestampstring

Current UNIX Timestamp

secureboolean

Run a secure request that was built with the React Face Capture: https://www.npmjs.com/package/@getyoti/react-face-capture

multiframeboolean

Use the multiframe mode for a secure request. See the 'secure' argument for more information.

Request Body
objectobject
imgstring

Base64 encoded image.

metadataobject
devicestring

(optional) Device used to send the request (unknown | laptop | mobile | any).

level_of_assurancestring

(optional) The level of assurance to apply for the model score threshold.

img_validation_levelstring

(optional) The level of validations to be applied against the image and bounding boxes.

secureobject

Secure information that certifies the image was not modified. The Yoti React Face Capture provides this information that shouldn't be edited.

versionstring

The version of the secure module used to capture the image.

tokenstring

The token used to verify the session used to capture the image.

signaturestring

Data used to verify that the payload hasn't been modified after the capture.

verificationstring

Encrypted data used to perform secure payload validation. This field is available from version SICAP 1.3.0.

POST /ai/v1/age
Copy
Responses
200

A prediction was made

objectobject
agenumber
std_devnumber
400

Image validation error or malformed request

401

Unauthorized

403

Forbidden

404

Resource not found

413

Payload too large

500

Internal server error

503

Service temporarily unavailable

Response
Copy

Liveness and age estimation check (self-checkout)

Auth
Headers
Terminal-IDstring

Integrator terminal ID

Session-IDstring

Session ID created by Yoti server

Query String
noncestring

An UUID V4 value generated by the Yoti SDK Request Builder

timestampstring

Current UNIX Timestamp

secureboolean

Run a secure request that was built with the React Face Capture: https://www.npmjs.com/package/@getyoti/react-face-capture

multiframeboolean

Use the multiframe mode for a secure request. See the 'secure' argument for more information.

Request Body
objectobject
imgstring

Base64 encoded image.

metadataobject
devicestring

(optional) Device used to send the request (unknown | laptop | mobile | any).

secureobject

(optional) Secure information that certifies the image was not modified. The Yoti React Face Capture provides this information that shouldn't be edited.

versionstring

The version of the secure module used to capture the image.

tokenstring

The token used to verify the session used to capture the image.

signaturestring

Data used to verify that the payload hasn't been modified after the capture.

verificationstring

Encrypted data used to perform secure payload validation. This field is available from version SICAP 1.3.0.

POST /ai/v1/self-checkout/age-antispoofing
Copy
Responses
200

A prediction was made

predictionstring
400

Image validation error or malformed request

401

Unauthorized

403

Forbidden

404

Resource not found

413

Payload too large

500

Internal server error

503

Service temporarily unavailable

Response
Copy